{ mkDerivation, attoparsec, base, bytestring, bytestring-trie
, conduit, conduit-extra, hedgehog, hedgehog-corpus, HUnit, lens
, mtl, stdenv, tasty, tasty-hedgehog, tasty-hunit, text, vector
}:
mkDerivation {
  pname = "addressbook";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    attoparsec base bytestring bytestring-trie conduit conduit-extra
    lens mtl text vector
  ];
  executableHaskellDepends = [ base ];
  testHaskellDepends = [
    base bytestring conduit conduit-extra hedgehog hedgehog-corpus
    HUnit tasty tasty-hedgehog tasty-hunit text vector
  ];
  license = stdenv.lib.licenses.bsd3;
}
