module Data.Email where

import Data.Email.Header

import Conduit
import qualified Data.Conduit.Combinators as C
import qualified Data.Conduit.Text as CT

import Data.ByteString
       (ByteString)

parseEmail :: (MonadThrow m, Monad m) => ConduitM ByteString Header m ()
parseEmail = CT.decode CT.utf8 .| CT.lines .| C.concatMap decode
